org.apache.solr

## Class SolrTestCaseHS.SolrInstance

- java.lang.Object
- - org.apache.solr.SolrTestCaseHS.SolrInstance

- Enclosing class:
    SolrTestCaseHS

      public static class SolrTestCaseHS.SolrInstance
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrInstance(File homeDir, String solrconfigFile, String schemaFile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyConfigFile(File dstRoot, String destCollection, String file)`
    `void` | `createHome()`
    `String` | `getBaseDir()`
    `String` | `getBaseURL()`
    `String` | `getCollectionURL()`
    `String` | `getShardURL()` string appropriate for passing in shards param (i.e.
    `org.apache.solr.client.solrj.SolrClient` | `getSolrJ()`
    `void` | `setPort(int port)` If it needs to change
    `void` | `start()`
    `void` | `stop()`
    `void` | `tearDown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrInstance

          public SolrInstance(File homeDir,
                              String solrconfigFile,
                              String schemaFile)

  - ### Method Detail

    - #### getBaseDir

          public String getBaseDir()

    - #### getBaseURL

          public String getBaseURL()

    - #### getCollectionURL

          public String getCollectionURL()

    - #### getShardURL

          public String getShardURL()

      string appropriate for passing in shards param (i.e. missing http://)

    - #### getSolrJ

          public org.apache.solr.client.solrj.SolrClient getSolrJ()

    - #### setPort

          public void setPort(int port)

      If it needs to change

    - #### createHome

          public void createHome()
                          throws Exception

      Throws:
        `Exception`

    - #### start

          public void start()
                     throws Exception

      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### copyConfigFile

          public void copyConfigFile(File dstRoot,
                                     String destCollection,
                                     String file)
                              throws Exception

      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.